<?php

	// Usuwanie
   if(isset($akcja) and $akcja=="usun" and isset($id)){
		if(isset($potwierdzenie_usuniecia)){
	  		$delete = mysql_query("DELETE FROM pokoje WHERE id='".$id."' LIMIT 1;");
	  		if($delete){
				// jak usuneliśmy pokój to teraz powiązane dane
					// pola gry
					$delete = mysql_query("DELETE FROM pola WHERE id_pokoju='".$id."';");
					// graczy. Czy na pewno? Może graczy tylko wyzerować?
					$update = mysql_query("UPDATE gracze SET pionek='', pozycja='0', kolejnosc='0', miejsce='0', gotowka='1500', majatek='0', razem='1500', czy_bankrut='0', czy_jego_kolej='0', czy_rzucil_koscmi='0', czy_zrobil_ruch='0', czy_dostal_bonus_za_start='0', kostka_1='0', kostka_2='0', kostka_razem='0' WHERE id_pokoju='".$id."';");

					$update = mysql_query("UPDATE gracze SET id_pokoju='1001' WHERE id_pokoju='".$id."';");

				komunikat("Komunikat","Pokój gry został usunięty pomyślnie, powiązane pola gry, a dane graczy z pokoju zostały wyzerowane.");
			}
		}else{
	  		$komunikat2 = '<div class="pagination">
	  		<p><a href="?go=lista&akcja=usun&id='.$id.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=lista"><font color="#FF0000">NIE</font></a></p>
  			<h5>Czy napewno chcesz usunąć ten pokój gry i powiązane dane?</h5></div>';

			$sql = mysql_query("SELECT nazwa FROM pokoje WHERE id='".$id."' LIMIT 1;");
			$row = mysql_fetch_array($sql);
			$nazwa = $row['nazwa'];

			komunikat("Uwaga!",'Usunięty zostanie pokój: <font color="#FF0000">'.$nazwa.'</font>'.$komunikat2);
		}
   }

	// Widoczność
   if(isset($akcja) and $akcja=="widocznosc" and isset($id)){
		if(isset($potwierdzenie_widocznosci)){
			$update = mysql_query("UPDATE pokoje SET stan='".$wartosc."', czas_aktualizacji='".time()."' WHERE id='".$id."';");
			if($update){
				komunikat("Komunikat","Widoczność pokoju w grze została zmieniona pomyślnie");
				echo'<script type="text/javascript">parent.Odswiez_strone();</script>';
			}else{
				komunikat("Błąd",mysql_error());
			}
		}else{
			$sql = mysql_query("SELECT nazwa,stan FROM pokoje WHERE id='".$id."' LIMIT 1;");
			$row = mysql_fetch_array($sql);
			$nazwa = $row['nazwa'];
			$stan = $row['stan'];

			if($stan==0){
				$wartosc = 1;
			}else{
				$wartosc = 0;
			}

	  		$komunikat2 = '<div class="pagination">
	  		<p><a href="?go=lista&akcja=widocznosc&id='.$id.'&wartosc='.$wartosc.'&potwierdzenie_widocznosci"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=lista"><font color="#FF0000">NIE</font></a></p>
  			<h5>Czy napewno chcesz zmienić widoczność tego pokoju w grze?</h5></div>';
			komunikat("Uwaga!",'Zmieniona zostanie widoczność pokoju: <font color="#FF0000">'.$nazwa.'</font>'.$komunikat2);

		}

   }

	// Wyszukiwanie
	$warunki_wyszukiwania = null;
	if(isset($akcja) and $akcja=="szukaj"){
		if($_POST['szukana_fraza']==NULL){
			$_POST['szukana_fraza'] = $_GET['wg'];
		}
		if($_POST['szukana_fraza']!=null){
			$warunki_wyszukiwania = " WHERE nazwa LIKE '%".$_POST['szukana_fraza']."%' or numer_rzeczowy LIKE '%".$_POST['szukana_fraza']."%'";
			$wg = $_POST['szukana_fraza'];
		}else{
			komunikat("Komunikat","Proszę podać szukaną nazwę lub numer rzeczowy");
		}
	}



	$po_ile_na_stronie = 15;
	$zapytanie_str = "SELECT id FROM pokoje".$warunki_wyszukiwania;
	include"../../include/stronnicowanie.php";



	echo'
		<table class="table1">
		<thead><tr><th colspan="5"><a href="?go=lista" style="color:#FFFFFF">Lista pokoi gry</a></th></tr></thead>
		<tbody>

			<tr>

				<th style="width: 40px">ID</th>

				<th><a href="?go=lista&akcja=sortuj&wg=nazwa"'.$zaznaczenie_sortowania['nazwa'].'>Nazwa</a></th>

				<th style="width: 100px"><a href="?go=lista&akcja=sortuj&wg=liczba_graczy"'.$zaznaczenie_sortowania['liczba_graczy'].'>Maksymalna liczba graczy</a></th>

				<th style="width: 155px">
					<a href="?go=lista&akcja=sortuj&wg=czas_dodania"'.$zaznaczenie_sortowania['czas_dodania'].'>Czas dodania [dni]</a><br>
					<a href="?go=lista&akcja=sortuj&wg=czas_aktualizacji"'.$zaznaczenie_sortowania['czas_aktualizacji'].'>Czas aktualizacji [dni]</a>
				</th>

				<th style="width: 58px">Akcje</th>

			</tr>

	';



	$wykonaj = mysql_query ("SELECT * FROM pokoje".$warunki_wyszukiwania.$sortuj." LIMIT ".$temp.",".$po_ile_na_stronie.";");
	if($wykonaj){

		while($wiersz=mysql_fetch_array ($wykonaj)){

			$id = $wiersz['id'];
			$nazwa = $wiersz['nazwa'];
			$czas_dodania = $wiersz['czas_dodania'];

			$czas_aktualizacji = $wiersz['czas_aktualizacji'];
			if($czas_aktualizacji!="brak" and $czas_aktualizacji!=NULL and $czas_aktualizacji!=0) $czas_aktualizacji = date('Y.m.d H:i:s', $czas_aktualizacji).'&nbsp;['.sprintf("%01.0f",((time() - $czas_aktualizacji)/60/60/24)).']';
			if($czas_aktualizacji==0) $czas_aktualizacji="brak";

			$stan = $wiersz['stan'];

			// ilu jest graczy?
			$ilu_jest_graczy = mysql_result(mysql_query("SELECT COUNT(*) FROM gracze WHERE id_pokoju='".$id."' AND stan='1' AND haslo<>'0';"),0);

			if($ilu_jest_graczy==$wiersz['liczba_graczy']){
				$kolor_zaznaczenia = "00CC00";
			}else{
				$kolor_zaznaczenia = "CC0000";
			}

			echo'
			<tr>

				<td style="text-align:center;"><small>'.$id.'</small></td>

				<th class="sub"><a href="javascript:parent.zmien_adres_ramki(\'gra,admin-zmien-pokoj-gry,'.$id.'.html\');">'.stripslashes($nazwa).'</a></th>

				<td><b style="color:#'.$kolor_zaznaczenia.'">'.$ilu_jest_graczy.'</b> / <b>'.$wiersz['liczba_graczy'].'</b></td>

				<td><small>'.date('Y.m.d H:i:s', $czas_dodania).'&nbsp;['.sprintf("%01.0f",((time() - $czas_dodania)/60/60/24)).']</small><br><small>'.$czas_aktualizacji.'</small></td>

				<td>
					';
					if($id!="1001"){
						echo'
						<a href="?go=lista&akcja=usun&id='.$id.'" title="Usuń pokój">'.ikonka("u").'</a>
						<a onclick=\'return parent.CPwindow(this, "gra_pokoje_gry_'.$id.'", "Edytuj pokój: '.stripslashes($nazwa).'", 710, 333);\' href="?go=edytuj&id='.$id.'" title="Edytuj pokój">'.ikonka("e").'</a>
						<a href="?go=lista&akcja=widocznosc&id='.$id.'" title="Zmień widoczność pokoju">'.ikonka("w".$stan).'</a>
						';
					}else{
						echo'<small>Brak opcji</small>';
					}
					echo'
				</td>

			</tr>
			';



		}

	}


	echo'</tbody></table><br>';

?>